-- GetIcsInterfaceStatus

DECLARE @@PROCESS_ID NUMERIC(20);
DECLARE @@INTERFACE_STATUS TABLE( 
	OTHER_PROCESS_ID NUMERIC(20),
	STATUS NUMERIC(1), -- 0 start 1 finish error 2 in progress 3 finish success 
	REFERENCE VARCHAR(40));

SET @@PROCESS_ID = @0;
DECLARE @@SQL VARCHAR(MAX); 

SET @@SQL = 'SELECT * FROM ' +
			' OPENQUERY(IPPCS_TO_ICS, ' +
			'''SELECT OTHER_PROCESS_ID, STATUS, REFERENCE ' +
			' FROM TB_R_PCS_INTERFACE_STATUS ' + 
			' WHERE OTHER_PROCESS_ID = ' + CONVERT(VARCHAR, @@PROCESS_ID) + 
			''');';

INSERT @@INTERFACE_STATUS 		   			 
EXEC(@@SQL);

SELECT 
  OTHER_PROCESS_ID AS [ProcessId]
  , [STATUS] AS [Status]
  , [REFERENCE] AS [Reference] 
FROM @@INTERFACE_STATUS;